<table>
  <thead>
    <tr>
      <th>No</th>
      <th>Name</th>
      <th>Phone Number</th>
      <th>Email</th>
      <th>Action</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let x of contactList; let i = index;">
      <td >{{ i+1 }}</td>
      <td >{{ x.name }}</td>
      <td >{{ x.phoneNumber }}</td>
      <td >{{ x.email }}</td>
      <td>
        <a (click)="edit(i, x)">Edit</a> | 
        <a (click)="delete(i)">Delete</a>
      </td>
    </tr>
    <tr *ngIf="contactList.length == 0">
      <td colspan="5" align="center">Data Is Empty</td>
    </tr>
  </tbody>
</table>